Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e412b9a2-c837-4b3b-ae9c-3973a9789044",
"user_id": "a4921703-b52b-4913-ae05-de3d5e4774fb",
"user_planning_slot_type_id": "db2db5b7-e6ac-4e4e-87ab-4f434e9cdd0c",
"date_from": "2026-10-22T15:18:00.3806817+00:00",
"date_to": "2026-10-22T15:18:00.3806817+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-22T15:18:00.3806817+00:00"
}